Bug 1186382 - [rfe] Please provide an equivalent of repoquery --srpm
[rfe] Please provide an equivalent of repoquery --srpm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-27 10:15 EST by Bohuslav "Slavek" Kabrda
Modified: 2015-06-27 18:32 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-27 18:32:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2015-01-27 10:15:21 EST
Hi, I'd like to ask you to provide equivalent of repoquery --srpm in dnf repoquery. Quoting repoquery documentation:

--srpm Operate on corresponding source RPM.
Comment 1 Parag Nemade 2015-01-28 10:40:55 EST
I am not aware of usage of --srpm option. If you know any example of its usage, can you provide it here for reference?
Comment 2 Honza Silhan 2015-02-03 13:36:08 EST
^
Comment 3 Bohuslav "Slavek" Kabrda 2015-02-04 05:16:36 EST
Sorry, didn't notice Parag's comment.

For example:

$ repoquery --srpm --enablerepo=fedora-source pytalloc
libtalloc-0:2.1.1-3.fc21.src

tells me that binary RPM pytalloc was built from SRPM libtalloc. I think dnf repoquery currently has no functionality like that.
Comment 4 Fedora Update System 2015-06-24 08:08:45 EDT
dnf-plugins-core-0.1.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.9-1.fc22
Comment 5 Fedora Update System 2015-06-25 04:22:05 EDT
Package dnf-plugins-core-0.1.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10706/dnf-plugins-core-0.1.9-1.fc22
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-06-27 18:32:55 EDT
dnf-plugins-core-0.1.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.